Subject: Re: bug#12148: 24.1.50; Tramp has problems with Solaris server (test -e)

From: Carsten Bormann <[email-masked]>
Date: Wed, 8 Aug 2012 09:35:04 +0200

On Aug 8, 2012, at 08:47, Michael Albinus <[email-masked]> wrote:

> I've hardened the test a little bit. Could you, please, check whether
> this works (clean the cache first):

Thanks.

I hope I did this cache-cleaning right by just calling tramp-cleanup-all-connections.

Now, the first find-file (to a directory) leads to an empty buffer (but only in 2 out of 3 attempts?  No idea what I did different.) or just hangs.
Doing that again (after a quit in case of the hang) appears to work properly, as does editing a file.
When I first tried this, an equivalent to  ("file-exists" "test -e")  was not recorded at all, see below.
On another attempt it does get recorded (see second ~/.emacs.d/tramp below).
In the latter case, we then run into the same problem (byte-code: Couldn't find exit status of `test -e /users/home/cabo/.bash_history') with the second incarnation of emacs.

I'm afraid this one didn't quite work out.
Also I'd love to know why this appears to be less than deterministic.

Grüße, Carsten

;; -*- emacs-lisp -*- <12/08/08 09:14:43 /Users/cabo/.emacs.d/tramp>
;; Tramp connection history.  Don't change this file.
;; You can delete it, forcing Tramp to reapply the checks.

((["scpc" nil "a" nil nil]
  ("uname" "SunOS 5.11")
  ("test" "test")
  ("remote-path"
   ("/usr/xpg4/bin" "/usr/ccs/bin" "/usr/bin" "/bin" "/usr/sbin" "/usr/local/bin"))
  ("busybox" nil)
  ("remote-shell" "/usr/bin/bash")
  ("stat" nil)
  ("perl-file-spec" t)
  ("perl-cwd-realpath" t)
  ("perl" "\\perl")
  ("id" "/usr/xpg4/bin/id")
  ("gid-integer" 1003)))

;; -*- emacs-lisp -*- <12/08/08 09:26:01 /Users/cabo/.emacs.d/tramp>
;; Tramp connection history.  Don't change this file.
;; You can delete it, forcing Tramp to reapply the checks.

((["scpc" nil "a" nil nil]
  ("uname" "SunOS 5.11")
  ("test" "test")
  ("remote-path"
   ("/usr/xpg4/bin" "/usr/ccs/bin" "/usr/bin" "/bin" "/usr/sbin" "/usr/local/bin"))
  ("busybox" nil)
  ("remote-shell" "/usr/bin/bash")
  ("~" "/users/home/cabo")
  ("ls" "/usr/xpg4/bin/ls")
  ("ls-dired" nil)
  ("stat" nil)
  ("perl-file-spec" t)
  ("perl-cwd-realpath" t)
  ("perl" "\\perl")
  ("id" "/usr/xpg4/bin/id")
  ("gid-integer" 1003)
  ("file-exists" "test -e")
  ("readlink" nil)))